import java.awt.event.*;
import javax.swing.JMenuItem;

public class EditMenuListener implements ActionListener {
	private MyWorld  world;
	
	public EditMenuListener (MyWorld  w){
		world = w;
	}
	public void actionPerformed(ActionEvent e) {
		JMenuItem menuItem = (JMenuItem)(e.getSource());
		String text = menuItem.getText();
		if (text.equals("Ball")) 
			world.addElement(new Ball(1.0, 0.1, new Vector2D(2,1), new Vector2D(0.5, 0.5)));
		if (text.equals("Spring")){
			Spring s = new Spring(1.0, 2.1);
			world.addElement(s);
		}
		if (text.equals("Receptacle"))
			world.addElement(new Receptacle(new Vector2D(1.0,1.0), new Vector2D(2.0, 3.0)));
	
	}
}